## net.sf.saxon.value
Class GYearMonthValue

    java.lang.Object
      net.sf.saxon.value.Value
          net.sf.saxon.value.AtomicValue
              net.sf.saxon.value.CalendarValue
                  net.sf.saxon.value.DateValue
                      net.sf.saxon.value.GYearMonthValue

All Implemented Interfaces:
  java.lang.Comparable, Expression, Item, java.io.Serializable, ValueRepresentation

public class GYearMonthValue
extends DateValue

Implementation of the xs:gYearMonth data type

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.value.DateValue
`tzOffset`

Fields inherited from class net.sf.saxon.value.CalendarValue
`calendar, zoneSpecified`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`GYearMonthValue()`
`GYearMonthValue(java.lang.CharSequence value)`

Method Summary
`AtomicValue` `convertPrimitive(BuiltInAtomicType requiredType, boolean validate)` Convert to target data type
`ItemType` `getItemType()` Determine the data type of the expression
`java.lang.String` `getStringValue()` Convert to string

Methods inherited from class net.sf.saxon.value.DateValue
`add, compareTo, convertToJava, equals, getComponent, getUTCDate, hashCode, removeTimezone, setDateValue, setLexicalValue, setTimezone, subtract`

Methods inherited from class net.sf.saxon.value.AtomicValue
`checkPermittedContents, convert, convert, display, effectiveBooleanValue, evaluateAsString, evaluateItem, getCardinality, getImplementationMethod, getLength, getPrimitiveValue, getStringValueCS, getTypedValue, hasBuiltInType, iterate, process, toString`

Methods inherited from class net.sf.saxon.value.Value
`analyze, asItem, asValue, collapseWhitespace, convert, convertJavaObjectToXPath, getDependencies, getIterator, getParentExpression, getSpecialProperties, itemAt, iterateSubExpressions, makeQNameValue, normalizeWhitespace, promote, simplify, stringToNumber, trimWhitespace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GYearMonthValue

    public GYearMonthValue()

### GYearMonthValue

    public GYearMonthValue(java.lang.CharSequence value)
                    throws XPathException

Method Detail

### getItemType

    public ItemType getItemType()

  Determine the data type of the expression

  Specified by:
    `getItemType` in interface `Expression`
  Overrides:
    `getItemType` in class `DateValue`
  Returns:
    Type.G_YEAR_MONTH_TYPE,

### convertPrimitive

    public AtomicValue convertPrimitive(BuiltInAtomicType requiredType,
                                        boolean validate)

  Convert to target data type

  Overrides:
    `convertPrimitive` in class `DateValue`
  Parameters:
    `requiredType` - an integer identifying the required atomic type
  Returns:
    an AtomicValue, a value of the required type; or an ErrorValue

### getStringValue

    public java.lang.String getStringValue()

  Description copied from class: `DateValue`
  Convert to string

  Specified by:
    `getStringValue` in interface `Item`
  Overrides:
    `getStringValue` in class `DateValue`
  Returns:
    ISO 8601 representation.